WordPress.org

Make WordPress Core

Changes between Version 1 and Version 2 of Ticket #22692, comment 39


Ignore:
Timestamp:
11/01/2013 09:04:05 PM (7 years ago)
Author:
azaozz
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #22692, comment 39

    v1 v2  
    3030In addition:
    3131- In PHP 5.3.4+, when using preg_* functions in UTF mode and PCRE has been compiled with Unicode property support, the behavior of  `\d`, `\D`, `\s`, `\S`, `\w`, and `\W` changes. They match the Unicode property of each char, including a lot more characters and making the regex quite slower.
    32 - Currently this cannot be used as the lowest required PHP version is 5.2.4 and some hosts don't have Unicode property support in PCRE.
     32- Currently this cannot be used for two reasons:
     33 - The lowest required PHP version is 5.2.4.
     34 - Some hosts don't have Unicode property support in PCRE.